Bug 1294488 - Edit blank template fail on that "Physical Memory Guaranteed" can't be 0 MB.
Edit blank template fail on that "Physical Memory Guaranteed" can't be 0 MB.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.2
Unspecified Unspecified
high Severity medium (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Tomas Jelinek
Ilanit Stein
: Regression
Depends On:
Blocks: 1302301
  Show dependency treegraph
 
Reported: 2015-12-28 07:26 EST by Ilanit Stein
Modified: 2016-02-18 06:15 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The blank template had the "physical memory guaranteed" field set by default to 0 Consequence: the edit blank template had a validation error stating that the "physical memory guaranteed" can not be 0 Fix: set the default "physical memory guaranteed" to be the same as memory size for the blank template Result: now the edit blank template works without editing the "physical memory guaranteed"
Story Points: ---
Clone Of:
: 1302301 (view as bug list)
Environment:
Last Closed: 2016-02-18 06:15:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
mgoldboi: planning_ack+
tjelinek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51327 master MERGED core: Change min allocated memory of blank template 2016-01-07 06:01 EST
oVirt gerrit 51502 ovirt-engine-3.6 MERGED core: Change min allocated memory of blank template 2016-01-07 08:32 EST

  None (edit)
Description Ilanit Stein 2015-12-28 07:26:29 EST
Description of problem:
Edit Blank template console from it's default to VNC+SPICE, and press OK, 
fail on that  "Physical Memory Guaranteed" can't be 0 MB.
If in addition changing  "Physical Memory Guaranteed" to 1024 MB, for example,
the Edit Blank template succeed.

Version-Release number of selected component (if applicable):
rhevm 3.6.2-2

Expected results:
Edit Blank template operation should not fail / be blocked by that "Physical Memory Guaranteed" must be changed from it's default value, 0 MB. 

Additional info:
A VM created from the Blank default template (no edit was made to the Blank template) has  "Physical Memory Guaranteed" 1024 MB, though the blank has  "Physical Memory Guaranteed" 0 MB, Is that OK?
Comment 3 Michal Skrivanek 2016-01-08 13:16:52 EST
We want to modify the behavior a bit more
Comment 4 Red Hat Bugzilla Rules Engine 2016-01-10 06:55:02 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 5 Tomas Jelinek 2016-01-28 03:34:56 EST
The part fixing the inconsistant relation between memory guaranteed and min allocated memory has been split to this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1302582

Consequently closing this one as the bug as described in title has been fixed and merged.
Comment 6 Red Hat Bugzilla Rules Engine 2016-01-28 07:16:24 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 7 Red Hat Bugzilla Rules Engine 2016-01-28 07:25:00 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 8 Red Hat Bugzilla Rules Engine 2016-01-28 07:28:51 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 9 Ilanit Stein 2016-02-09 05:18:56 EST
Verified on rhevm 3.6.3-0.1.
Now Blank template "Physical Memory Guaranteed" is set to 1024 MB by default, and not to 0 MB.

Note You need to log in before you can comment on or make changes to this bug.